Retrieve a List of Page HTTP Callbacks

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each option localization on the list

  • limit number

    maximum count of the option localization list

  • offset number

    skip that many option localization before beginning to return

  • validate_grammar string

    returns an error for incorrect field grammar when set to true

  • all_fields boolean

    will show all fields for each option localization

  • exclude string

    will exclude specified fields

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • id number Required
    • name string Required
    • url string
    • feed_format string

      must match "json" or "xml"

    • feed_format_version string

      Must specifiy in URL parameter to retrieve

    • content_type: `header` (string, optional) - must match "header" or "key_value_pair" string
    • key_value_pair_key (string, optional) - reuqired if content_type is "key_value_pair" string
    • error_email string
    • notification_email string
    • is_guaranteed_delivery boolean
    • mode string
    • secure_type string
    • is_disabled boolean
    • trigger_post_email string

      Must specifiy in URL parameter to retrieve

    • secure_key string Required
  • 404 application/json

    Not Found - page_id does not exist or is not a page of profile_id.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

GET /profiles/{profile_id}/pages/{page_id}/http_callbacks
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/pages/{page_id}/http_callbacks' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
[
  {
    "id": 283,
    "name": "New Record Endpoint"
  },
  {
    "id": 286,
    "name": "Zapier Endpoint"
  }
]
Response examples (404)
{
  "error_message": "The requested resource is not found"
}